## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname cache_tab
%global p1_utils_ver 1.0.25

Name: erlang-%{srcname}
Version: 1.0.30
Release: %autorelease
License: Apache-2.0
Summary: Erlang cache table application
URL: https://github.com/processone/%{srcname}
VCS: scm:git:%{url}.git
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
This application is intended to proxy back-end operations for Key-Value insert,
lookup and delete and maintain a cache of those Key-Values in-memory, to save
back-end operations. Operations are intended to be atomic between back-end and
cache tables. The lifetime of the cache object and the max size of the cache
can be defined as table parameters to limit the size of the in-memory tables.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=%{buildroot}%{erlang_appdir}/priv/lib/


%check
%{erlang_test}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}/


%changelog
## START: Generated by rpmautospec
* Tue May 07 2024 Peter Lemenkov <lemenkov@gmail.com> - 1.0.30-1
- Uncommitted changes

* Tue May 07 2024 Peter Lemenkov <lemenkov@gmail.com> - 1.0.25-7
- Revert "Orphaned for 6+ weeks"

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Randy Barlow <randy@electronsweatshop.com> - 1.0.25-1
- Update to 1.0.25 (#1807250)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.21-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Feb 17 2020 Randy Barlow <randy@electronsweatshop.com> - 1.0.21-2
- Remove 2018 changelog entries

* Mon Feb 17 2020 Randy Barlow <randy@electronsweatshop.com> - 1.0.21-1
- Update to 1.0.21 (#1789138)

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 26 2019 Randy Barlow <randy@electronsweatshop.com> - 1.0.20-3
- Bring cache_tab back to s390x (#1772962)

* Fri Nov 15 2019 Randy Barlow <randy@electronsweatshop.com> - 1.0.20-2
- Add an ExcludeArch on s390x.

* Thu Nov 14 2019 Randy Barlow <randy@electronsweatshop.com> - 1.0.20-1
- Update to 1.0.20 (#1742463)

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 05 2019 Randy Barlow <randy@electronsweatshop.com> - 1.0.19-1
- Update to 1.0.19 (#1713296)

* Tue Apr 16 2019 Randy Barlow <randy@electronsweatshop.com> - 1.0.18-1
- Update to 1.0.18 (#1683120).

* Sun Feb 24 2019 Randy Barlow <randy@electronsweatshop.com> - 1.0.17-4
- Trim changelog prior to 2018.

* Thu Feb 21 2019 Peter Lemenkov <lemenkov@gmail.com> - 1.0.17-3
- Rebuild for Erlang 21

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 12 2019 Randy Barlow <randy@electronsweatshop.com> - 1.0.17-1
- Update to 1.0.17.

* Sun Oct 14 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.16-1
- Update to 1.0.16.

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 1.0.14-2
- Rebuild with fixed binutils

* Mon Jul 30 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.14-1
- Update to 1.0.14 (#1596195).

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 29 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.13-3
- Remove explicit requires on nif.

* Thu Mar 29 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.13-2
- Add a debug package.

* Thu Mar 29 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.13-1
- Update to 1.0.13 (#1560116).

* Sun Mar 25 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.12-5
- Re-rebuild against Erlang 20.

* Thu Feb 22 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.12-4
- Rebuilt for Erlang 20.

* Sun Feb 18 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.12-3
- BR on gcc and add .rpmlint file.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Randy Barlow <randy@electronsweatshop.com> - 1.0.12-1
- Update to 1.0.12 (#1515216).

* Sat Nov 11 2017 Randy Barlow <randy@electronsweatshop.com> - 1.0.11-1
- Update to 1.0.11 (#1434803).

* Sun Oct 22 2017 Randy Barlow <randy@electronsweatshop.com> - 1.0.9-3
- Install the shared objects and depend on erlang_nif (#1505170).

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sun Jul 30 2017 Randy Barlow <randy@electronsweatshop.com> - 1.0.9-1
- Update to 1.0.9 (#1434803).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 12 2017 Randy Barlow <randy@electronsweatshop.com> - 1.0.6-1
- Update to 1.0.6 (#1398605).

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 31 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.5-1
- Update to 1.0.5 (#1398605).

* Fri Jul 01 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.4-1
- Update to 1.0.4 (#1351601)

* Mon Mar 14 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.2-1
- Update to 1.0.2 (#1304906).

* Fri Mar 11 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.1-2
- Rebuild to use the new automatic provides/requires behavior.

* Tue Feb 16 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.1-1
- Update to version 1.0.1.

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 09 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.0-1
- Initial import (#1295075)
## END: Generated by rpmautospec
